@import "~@/assets/scss/theme.scss";

.tut {
  padding-top: 150px;
  background:
  url("~static/img/tutorials/top-left.png") no-repeat top left,
  url("~static/img/tutorials/top-right.png") no-repeat top right,
  url("~static/img/tutorials/right-middle.png") no-repeat top 1817px right,
  url("~static/img/tutorials/left-middle.png") no-repeat top 2675px left;

  @media (max-width: 1200px) {
    padding-top: 111px;
    background: none;
  }

  &__title {
    display: flex;
    justify-content: center;
    font-weight: 400;
    font-size: 58px;
    line-height: 133%;
    font-family: 'Hammersmith One', sans-serif;
    text-align: center;
    color: #FFFFFF;
    margin-bottom: 48px;

    @media (max-width: 1200px) {
      font-size: 36px;
      margin-bottom: 24px;
    }
  }

  &-tutorials {
    display: grid;
    row-gap: 100px;
    margin-bottom: 100px;

    @media (max-width: 1200px) {
      row-gap: 50px;
      margin-bottom: 50px;
      padding: 0 24px;
    }

    &-item {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;

      &__hint {
        padding: 40px 70px;
        border-radius: 0 60px;
        max-width: 914px;
        font-weight: 700;
        font-size: 16px;
        line-height: 130%;
        color: #00D2FE;
        background: #390968;
        backdrop-filter: blur(10px);
        border: 5px solid #FF00F8;
        margin: 36px auto 0 auto;

        @media (max-width: 1200px) {
          border-radius: 0 32px;
          padding: 32px
        }
      }

      &__title {
        font-size: 36px;
        line-height: 45px;
        margin-bottom: 31px;
        text-align: center;

        @media (max-width: 1200px) {
          font-size: 24px;
        }

        ::v-deep strong {
          color: #00D2FE;
        }
      }

      &-video {
        display: flex;
        justify-content: center;
        width: 100%;
        height: 527px;
        max-width: 936px;
        margin-bottom: 21px;
        align-items: center;
        position: relative;
        z-index: 1;
        border-radius: 25px 0;
        overflow: hidden;

        @media (max-width: 1200px) {
          max-width: 100%;
          height: 270px;
        }

        &__video {
          position: relative;
          height: 100%;
          width: 100%;
          border: 5px solid transparent;
          border-radius: 25px 0;
          z-index: 1;

          &::before {
            content: "";
            position: absolute;
            inset: 0;
            z-index: -1;
            background: #000;
            border-radius: 25px 0;
          }

          &::after {
            content: "";
            position: absolute;
            inset: -5px;
            z-index: -2;
            background: linear-gradient(262.72deg, #AF31AA 0%, #7B9CD3 100%);
            border-radius: 25px 0;
          }
        }
      }

      &__show-btn {
        display: flex;
        justify-content: center;
        align-items: center;
        max-width: 410px;
        width: 100%;
        height: 55px;
        background: linear-gradient(270deg, #DD3741 0%, #FF00CC 50.52%, #6003A9 100%) border-box;
        border-radius: 0 16px;
        border: 2px solid transparent;

        &.opened {
          border-color: #6003A9;
          color: #FF00CC;
          background: transparent;
        }
      }

      &-cards {
        display: grid;
        grid-template-columns: 1fr 1fr;
        row-gap: 41px;
        column-gap: 45px;
        margin-top: 24px;

        @media (max-width: 1200px) {
          grid-template-columns: 1fr;
        }

        &-item {
          position: relative;
          display: flex;
          flex-direction: column;
          align-items: center;
          background: #390968;
          border-radius: 0 60px;
          border: 5px solid #FF00F8;

          @media (max-width: 1200px) {
            border-radius: 0 32px;
          }

          &__index {
            position: absolute;
            left: 0;
            top: 430px;
            translate: -50% -100%;
            width: 58px;
            height: 58px;
            display: flex;
            align-items: center;
            justify-content: center;
            background: linear-gradient(270deg, #DD3741 0%, #FF00CC 50.52%, #6003A9 100%);
            border-radius: 60px;
            font-weight: 700;
            font-size: 26px;
            line-height: 1;
            z-index: 1;
            text-align: center;
            color: #FDF7EA;

            @media (max-width: 1200px) {
              width: 48px;
              height: 48px;
              font-size: 24px;
              top: 250px
            }
          }

          &__image {
            width: 100%;
            height: 430px;
            border-bottom: 5px solid #1CE7D3;
            border-radius: 0 60px;
            object-fit: contain;
            background: #212B3B;

            @media (max-width: 1200px) {
              border-radius: 0 32px;
              height: 250px;
            }
          }

          &__text {
            padding: 50px 60px;

            @media (max-width: 1200px) {
              padding: 24px;
            }
          }
        }
      }
    }
  }

  &-guides {
    display: grid;
    row-gap: 24px;

    &-item {
      margin: 0 auto;
      max-width: 914px;

      &__title {
        font-family: 'Hammersmith One', sans-serif;
        font-size: 36px;
        line-height: 45px;
        margin-bottom: 24px;
        text-align: center;
        font-style: normal;
        color: #FFFFFF;

        @media (max-width: 1200px) {
          font-size: 24px;
        }

        strong {
          color: #00D2FE;
        }
      }

      &-content {
        display: grid;
        row-gap: 48px;
        z-index: 1;

        @media (max-width: 1200px) {
          padding: 0 24px;
          row-gap: 24px;
        }

        &-text {
          font-weight: 600;
          font-size: 16px;
          line-height: 130%;
          position: relative;
          background: #390968;
          border: 5px solid #FF00F8;
          padding: 60px 70px;
          border-radius: 0 60px;
          z-index: 1;

          @media (max-width: 1200px) {
            padding: 24px;
            border-radius: 0 32px;
          }

          &::after {
            position: absolute;
            inset: -2px;
            background: linear-gradient(262.72deg, #1CE7D3 0%, #FF00F8 100%);
            border-radius: 0 60px;
            z-index: -1;

            @media (max-width: 1200px) {
              border-radius: 0 32px;
            }
          }

          &__index {
            z-index: 1;
            background: linear-gradient(270deg, #DD3741 0%, #FF00CC 50.52%, #6003A9 100%);
            border-radius: 50%;
            width: 58px;
            height: 58px;
            position: absolute;
            left: 0;
            top: 0;
            translate: -50% -50%;
            display: flex;
            align-items: center;
            justify-content: center;
            font-weight: 700;
            font-size: 26px;
            line-height: 1;
            text-align: center;
            color: #FDF7EA;

            @media (max-width: 1200px) {
              width: 48px;
              height: 48px;
              font-size: 24px;
            }
          }
        }
      }
    }
  }
}

.video-blur {
  position: absolute;
  z-index: 1;
  inset: 0;
  backdrop-filter: blur(2px);
  background: rgba(0, 0, 0, 0.4);
  border-radius: 25px 0;
  overflow: hidden;
  //touch-action: none;
  //pointer-events: none;

  & > img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    cursor: pointer;
    pointer-events: none;
    touch-action: none;
  }
}

iframe {
  border-radius: 25px 0;
}

img {
  max-width: 100%;
}
